#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    foreach my $section ($spec->get_sections()) {
	my $type = $section->get_type();
	next if $type ne 'install' and $type ne 'files';
	$section->subst(qr'(%{?_iconsdir}?|(/usr/share|%{?_datadir}?)/icons)/mini/','%_miconsdir/');
	$section->subst(qr'(%{?_iconsdir}?|(/usr/share|%{?_datadir}?)/icons)/large/','%_liconsdir/');
	$section->subst(qr'(%{?_iconsdir}?|(/usr/share|%{?_datadir}?)/icons)/(?!hicolor|.+/)','%_niconsdir/');
	$section->subst(qr'mkdir -p \$RPM_BUILD_ROOT\/?\%_iconsdir$','mkdir -p $RPM_BUILD_ROOT%_niconsdir');
	$section->subst(qr'mkdir -p %buildroot\/?\%_iconsdir','mkdir -p %buildroot%_niconsdir');
	$section->subst_if(qr'\%_iconsdir','%_niconsdir',qr'\%__mkdir');
	$section->subst(qr'mkdir -p \%buildroot{\%_liconsdir,\%_miconsdir}','mkdir -p %buildroot{%_liconsdir,%_niconsdir,%_miconsdir}');
    }
};
1;
